%global snapshot 20140604

Summary:	A Qt implementation of the DBusMenu protocol (Qt5 version)
Name:		libdbusmenu-qt5
Version:	0.9.3
Release:	0.%{snapshot}.1
Epoch:		1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		https://launchpad.net/libdbusmenu-qt/
#Source0:	https://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/libdbusmenu-qt-%{version}.tar.gz
# bzr branch lp:libdbusmenu-qt && mv libdbusmenu-qt{,5-%{version}} && \
# tar -c libdbusmenu-qt5-0.9.2 | gzip -c > libdbusmenu-qt5-0.9.2-${snapshot}bzr.tar.gz
Source0:	%{name}-%{version}-%{snapshot}bzr.tar.bz2
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	qmake5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

#----------------------------------------------------------------------------

%define dbusmenuqt5_major 2
%define libdbusmenuqt5 %mklibname dbusmenu-qt5_ %{dbusmenuqt5_major}

%package -n %{libdbusmenuqt5}
Summary:	A Qt implementation of the DBusMenu protocol (Qt5 version)
Group:		System/Libraries
Requires:	nss_mdns

%description -n %{libdbusmenuqt5}
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%files -n %{libdbusmenuqt5}
%{_libdir}/libdbusmenu-qt5.so.%{dbusmenuqt5_major}*

#----------------------------------------------------------------------------

%define devdbusmenuqt5 %mklibname dbusmenu-qt5 -d

%package -n %{devdbusmenuqt5}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libdbusmenuqt5} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	dbusmenu-qt5-devel = %{EVRD}

%description -n %{devdbusmenuqt5}
Development files for %{name}.

%files -n %{devdbusmenuqt5}
%doc COPYING README
%doc %{_datadir}/doc/libdbusmenu-qt5-doc/
%{_includedir}/dbusmenu-qt5/
%{_libdir}/libdbusmenu-qt5.so
%{_libdir}/pkgconfig/dbusmenu-qt5.pc
%{_libdir}/cmake/dbusmenu-qt5/

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}

%build
%cmake_qt5 \
	-DUSE_QT4:BOOL=FALSE \
	-DUSE_QT5:BOOL=TRUE \
	-DWITH_DOC:BOOL=TRUE
%make

%install
%makeinstall_std -C build

# unpackaged files
rm -rf %{buildroot}%{_docdir}/dbusmenu-qt


%changelog

* Sat Dec 05 2015 Denis Silakov <dsilakov@gmail.com> 1:0.9.3-0.20140604.1
- (79b3e52) Revert last update for now - should adopt dependent packages first


